﻿/**
 *  config.js
 *
 *  Created by Junichi Kitano on 2013/05/15.
 *
 *  Copyright (c) 2013, Fixstars Corporation
 *  All rights reserved.
 *  Released under the BSD 2-Clause license.
 *   http://flashair-developers.com/documents/license.html
 */
// JavaScript Document
function getMasterCode(){
	var url="/command.cgi?op=106";
	$.get(url,function(data){
		//$('#mastercode').text(data);
		mastercode=data;
	});
}
function getAPPMODE(){
	var url="/command.cgi?op=110";
	$.get(url,function(data){
		$('#appmode').val(data);
	});
}
function getAPPAUTOTIME(){
	var url="/command.cgi?op=111";
	$.get(url,function(data){
		$('#appautotime').val(data);
	});
}
function getAPPSSID(){
	var url="/command.cgi?op=104";
	$.get(url,function(data){
		$('#appssid').val(data);
	});
}
function getAPPNETWORKKEY(){
	var url="/command.cgi?op=105";
	$.get(url,function(data){
		$('#appnetworkkey').val(data);
	});
}
function setParams1(){
	var datetime = new Date();
	var url="/config.cgi?MASTERCODE="+mastercode
			+"&APPMODE="+$("#appmode").val()
			+"&APPAUTOTIME="+$("#appautotime").val()
			+"&APPSSID="+$("#appssid").val()
			+"&APPNETWORKKEY="+$("#appnetworkkey").val()
			+"&TIME="+datetime.getTime();	//avoid cache
	$.get(url,function(data){
		$('#result1').text(data);	
	});
}
function setParams2(){
	var datetime = new Date();
	if($('#appmode').val() == 6){
		var url="/config.cgi?MASTERCODE="+mastercode
				+"&BRGSSID="+$("#brgssid").val()
				+"&BRGNETWORKKEY="+$("#brgnetworkkey").val()
				+"&TIME="+datetime.getTime();	//avoid cache
		$.get(url,function(data){
			$('#result2').text(data);	
		});
	}else{
		$('#result2').text("EEROR：APPMODEを6に設定してください");	
	}
}
function backtolist(){
  ret = confirm("ネットワーク設定を終了しますか？");
  if (ret == true){
    location.href = "http://flashair";
  }
}
//Document Ready
$(function() {
	$("#backtolist").click(backtolist);
	getMasterCode();
	getAPPMODE();
	getAPPAUTOTIME();
	getAPPSSID();
	getAPPNETWORKKEY();
	$("#submit1").click(setParams1);
	$("#submit2").click(setParams2);
});